<ul class="list-group">
    <li *ngFor="let ispit of ispiti; let i = index" [ngClass]="{'active': false}"   class="list-group-item list-group-item-action">
        <div class="row">
            <div class="col-6">
                <label for="datumOdrzavanja"><h6>Datum Odrzavanja: </h6></label> {{ispit.datumOdrzavanja | date: 'dd. MMMM yyyy'}}
            </div>
            <div class="col-5">
                <label for="datumOdrzavanja"><h6>Rok prijave: </h6></label> {{ispit.rokZaPrijavu | date: 'dd. MMMM yyyy'}}
            </div>
            <button class="btn btn-link col-1" (click)="prijavaIspita(ispit.id);open(content)" ><b>Prijavi</b></button>
        </div>
    </li>
    <li class="bg-danger" *ngIf="predmetId == null" class="list-group-item bg-secondary"><h5 class="text-light">Niste selektovali predmet <i class="fas fa-info-circle"></i></h5></li>
    <li class="bg-danger" *ngIf="ispiti.length == 0 && predmetId != null" class="list-group-item bg-warning"><h5 class="text-dark">Nema ispita za izabrani predmet <i class="fas fa-exclamation-triangle"></i></h5></li>
</ul>

<ngb-alert type="success" *ngIf="ispitPrijavljen" (close)="ispitPrijavljen = false"><h3>Uspesno ste prijavili ispit</h3></ngb-alert>
<ngb-alert type="danger" *ngIf="greskaPrijavlivanja" (close)="greskaPrijavlivanja = false"><h3>Ispit je vec prijavljen</h3></ngb-alert>

<ng-template #content let-c="close" let-d="dismiss">
    <div class="modal-header bg-info">
        <h4 class="modal-title text-light" id="modal-basic-title">Prijava ispita</h4>
        <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
        <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <h5>Potvrdite prijavu ispita</h5>
    </div>
    <div class="modal-footer">
        <div class="row">
        <div class="col-6">
            <button type="button" class="btn btn-success" (click)="prijavaPotvrdjena();c()">Potvrdi</button>
        </div>
        <div class="col-6">
            <button type="button" class="btn btn-default" (click)="c()">Cancel</button>
        </div>
        </div>

    </div>
</ng-template>


